/* Copyright 2002 Jason Woofenden
 *
 *    This file is part of meissa
 *
 *    meissa is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    meissa is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with meissa; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef MEISSA_SDL_H
#define MEISSA_SDL_H

#include <stdint.h>

int gfx_init(void);
int gfx_exit(int ignored);
void update_screen();
void clear_buffer();
uint32_t rgb_to_pixel(uint8_t r, uint8_t g, uint8_t b);
void move_to(uint16_t x, uint16_t y);
void safe_move_to(uint16_t x, uint16_t y);
void blit_floats(float* pix, int width, int height);
void gfx_resize(int w, int h);

/* call line_to(). it will point to the correct one of the following */
extern void (*line_to)(uint16_t x, uint16_t y, uint32_t color);
void line_to_8 (uint16_t x, uint16_t y, uint32_t color);
void line_to_16(uint16_t x, uint16_t y, uint32_t color);
void line_to_b24(uint16_t x, uint16_t y, uint32_t color);
void line_to_s24(uint16_t x, uint16_t y, uint32_t color);
void line_to_32(uint16_t x, uint16_t y, uint32_t color);
void safe_line_to(uint16_t x, uint16_t y, uint32_t color);


#endif /* MEISSA_SDL_H */
